Bug 19254 - Error: cpio failed on anaconda/textw/packages_text.pyc
Summary: Error: cpio failed on anaconda/textw/packages_text.pyc
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 14:30 UTC by Richard Tango-Lowy
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-04 15:45:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Tango-Lowy 2000-10-17 14:30:44 UTC
When attempting to install RedHat Linux 7.0 on and HP Netserver LM I
receive the following error:

cpio failed on anaconda/textw/packages_text.pyc: No such file or directory
error 2 reading header: cpio: Bad magic
cpio failed on (null):  (internal)
install exited abnormally -- recieved signal 11

The install than shuts down elegantly.

I am using the the released bootnet image with update-disk-20001009.img.
This is a network install. The machine was previously running RedHat Linux
5.2, but I chose to reinstall rather than upgrade.

Comment 1 Brock Organ 2000-10-17 22:36:29 UTC
is your install source downloaded ...? network based?  cdrom? did you download
the install source file by file, or did you download the ISOs that make up the
image ...?  can you verify your downloaded ISOs/files ...?

A lot of errors of this type (bad cpio magic or other packaging error) occur
with incomplete or corrupted downloads ...

Comment 2 richard_tango-lowy 2000-10-18 13:38:06 UTC
The install source is a downloaded ISO image. I've successfully installed two
other machines from this image (a couple of HP Kayaks), but that doesn't
necessarily mean there is no corruption somewhere.

Is there a way to verify an ISO image? Or is there a way to identify which
packages or files might be bad, so I can verify them?

Comment 3 Michael Fulbright 2000-11-14 20:39:46 UTC
If you are using Linux, you can use the 'md5sum' command to compute a checksum
on the ISOs you downloaded. The actual checksums should be available in a README
style document on the site you downloaded them from.


Note You need to log in before you can comment on or make changes to this bug.